Bug 1130661 - Unable to connect via XDMCP using Reflection X Advantage 5.0 [NEEDINFO]
Summary: Unable to connect via XDMCP using Reflection X Advantage 5.0
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-xdm
Version: 7.0
Hardware: x86_64
OS: Windows
medium
medium
Target Milestone: rc
: ---
Assignee: Ben Crocker
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2014-08-15 20:10 UTC by Ken Chapin
Modified: 2019-08-08 15:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
hdegoede: needinfo? (ken.chapin)


Attachments (Terms of Use)
sosreport (7.90 MB, application/octet-stream)
2014-08-15 20:10 UTC, Ken Chapin
no flags Details

Description Ken Chapin 2014-08-15 20:10:39 UTC
Created attachment 927268 [details]
sosreport

Description of problem:


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.15.0-7.el7.x86_64
Reflection X Advantage server version 5.0.906

How reproducible:
100% when using Reflection X

Steps to Reproduce:
1. Configure to use XDMCP (see additional info)
2. Attempt to connect using Reflection X server
3.

Actual results:
- remote session flashes between grey Xorg background and a nondescript graphical error
- Have been able to successfully connect using Xorg from another RHEL 7 system

Expected results:
- Successful connection presented with Gnome Greeter

Additional info:
Configuration:
# GDM configuration storage

[daemon]

[xdmcp]
Enable=true
Port=177
HonorIndirect=true
DisplaysPerHost=1

[security]
DisallowTCP=false
AllowRemoteRoot=true

[greeter]
IncludeAll=true

[chooser]

[debug]
Enable=true

Firewall has been verified not to be the issue
Confirmed that Reflection X is using GLX extension

Seems to be an issue with GLX based on the following logs:

Aug  1 15:12:04 gusrhel7test gnome-session[2338]: DEBUG(+): GsmSystemd: received logind signal: SessionNew Aug  1 15:12:04 gusrhel7test gnome-session[2338]: DEBUG(+): GsmSystemd: ignoring SessionNew signal Aug  1 15:12:04 gusrhel7test systemd: Started Session c2 of user gdm.
Aug  1 15:12:04 gusrhel7test /usr/bin/dbus-launch: gnome-session-is-accelerated: No composite extension.
Aug  1 15:12:04 gusrhel7test /usr/bin/dbus-launch: gnome-session-check-accelerated: Helper exited with code 256 Aug  1 15:12:09 gusrhel7test /usr/bin/dbus-launch: gnome-session-is-accelerated: No composite extension.
Aug  1 15:12:09 gusrhel7test /usr/bin/dbus-launch: gnome-session-check-accelerated: Helper exited with code 256 Aug  1 15:12:09 gusrhel7test /usr/bin/dbus-launch: ** (process:2703): WARNING **: software acceleration check failed: Child process exited with code 1 Aug  1 15:12:13 gusrhel7test /usr/bin/dbus-launch: (gnome-session:2703): Gdk-WARNING **: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server 10.32.8.30:0.
Aug  1 15:12:13 gusrhel7test /usr/bin/dbus-launch: (gnome-session-failed:2725): Gdk-WARNING **: gnome-session-failed: Fatal IO error 11 (Resource temporarily unavailable) on X server 10.32.8.30:0.
Aug  1 15:12:13 gusrhel7test gdm: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed Aug  1 15:12:13 gusrhel7test gdm: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed Aug  1 15:12:13 gusrhel7test systemd: Failed to mark scope session-c2.scope as abandoned : Stale file handle Aug  1 15:12:13 gusrhel7test systemd-logind: Removed session c2.

Suspect Gnome-session failure:
There is no GLX protocol being sent to Reflection X.  The gnome-session-is-accelerated doesn't find the Composite extension and quits before it starts snooping for the GLX extension or anything about the OpenGL renderer.

Comment 3 Hans de Goede 2014-09-01 10:12:49 UTC
gnome-shell 3.8 (such as shipped in RHEL-7) and later not longer support a 2d fallback mode. Since gnome-shell is a compositing window manager it needs not just glx but a working composite extension.

The problem seems to be that Reflection X Advantage server does not implement the composite extension. The only way I see to fix this issue is for the Reflection X Advantage server to implement the composite extension.

Comment 4 Hans de Goede 2016-03-16 15:44:42 UTC
Hi,

(In reply to Hans de Goede from comment #3)
> gnome-shell 3.8 (such as shipped in RHEL-7) and later not longer support a
> 2d fallback mode. Since gnome-shell is a compositing window manager it needs
> not just glx but a working composite extension.
> 
> The problem seems to be that Reflection X Advantage server does not
> implement the composite extension. The only way I see to fix this issue is
> for the Reflection X Advantage server to implement the composite extension.

Ken, Any status update on this ?

Regards,

Hans


Note You need to log in before you can comment on or make changes to this bug.